# Copyright (C) 2023 Bootloader.  All rights reserved.
#
# This software is the confidential and proprietary information of
# Bootloader or one of its subsidiaries.  You shall not disclose this
# confidential information and shall use it only in accordance with the
# terms of the license agreement or other applicable agreement you
# entered into with Bootloader.
#
# BOOTLOADER MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE
# SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT
# NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
# A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  BOOTLOADER SHALL NOT BE
# LIABLE FOR ANY LOSSES OR DAMAGES SUFFERED BY LICENSEE AS A RESULT OF
# USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.

from majormode.perseus.model.enum import Enum


UnityAssetClass = Enum (
    'AccelerationEvent',
    'AnchoredJoint2D',
    'AndroidInput',
    'AndroidJavaClass',
    'AndroidJavaObject',
    'AndroidJavaProxy',
    'AndroidJNI',
    'AndroidJNIHelper',
    'Animation',
    'AnimationClip',
    'AnimationClipPair',
    'AnimationCurve',
    'AnimationEvent',
    'AnimationInfo',
    'AnimationState',
    'Animator',
    'AnimatorClipInfo',
    'AnimatorControllerParameter',
    'AnimatorOverrideController',
    'AnimatorStateInfo',
    'AnimatorTransitionInfo',
    'AnimatorUtility',
    'Application',
    'ApplicationMemoryUsageChange',
    'AreaEffector2D',
    'ArticulationBody',
    'ArticulationDrive',
    'ArticulationJacobian',
    'ArticulationReducedSpace',
    'AssetBundle',
    'AssetBundleCreateRequest',
    'AssetBundleManifest',
    'AssetBundleRecompressOperation',
    'AssetBundleRequest',
    'AssetBundleUnloadOperation',
    'AsyncOperation',
    'AudioChorusFilter',
    'AudioClip',
    'AudioConfiguration',
    'AudioDistortionFilter',
    'AudioEchoFilter',
    'AudioHighPassFilter',
    'AudioListener',
    'AudioLowPassFilter',
    'AudioRenderer',
    'AudioReverbFilter',
    'AudioReverbZone',
    'AudioSettings',
    'AudioSource',
    'Avatar',
    'AvatarBuilder',
    'AvatarMask',
    'Behaviour',
    'BillboardAsset',
    'BillboardRenderer',
    'BitStream',
    'BlendShapeBufferRange',
    'BoneWeight',
    'BoneWeight1',
    'BoundingSphere',
    'Bounds',
    'BoundsInt',
    'BoxcastCommand',
    'BoxCollider',
    'BoxCollider2D',
    'BuildCompression',
    'BuoyancyEffector2D',
    'Cache',
    'CachedAssetBundle',
    'Caching',
    'Camera',
    'Canvas',
    'CanvasGroup',
    'CanvasRenderer',
    'CapsulecastCommand',
    'CapsuleCollider',
    'CapsuleCollider2D',
    'CharacterController',
    'CharacterInfo',
    'CharacterJoint',
    'CircleCollider2D',
    'ClosestPointCommand',
    'Cloth',
    'ClothSkinningCoefficient',
    'ClothSphereColliderPair',
    'ClusterInput',
    'ClusterNetwork',
    'Collider',
    'Collider2D',
    'ColliderDistance2D',
    'ColliderHit',
    'Collision',
    'Collision2D',
    'Color',
    'Color32',
    'ColorGamutUtility',
    'ColorUtility',
    'CombineInstance',
    'Compass',
    'Component',
    'CompositeCollider2D',
    'ComputeBuffer',
    'ComputeShader',
    'ConfigurableJoint',
    'ConstantForce',
    'ConstantForce2D',
    'ContactFilter2D',
    'ContactPair',
    'ContactPairHeader',
    'ContactPairPoint',
    'ContactPoint',
    'ContactPoint2D',
    'ControllerColliderHit',
    'Coroutine',
    'CrashReport',
    'Cubemap',
    'CubemapArray',
    'CullingGroup',
    'CullingGroupEvent',
    'Cursor',
    'CustomCollider2D',
    'CustomRenderTexture',
    'CustomRenderTextureManager',
    'CustomRenderTextureUpdateZone',
    'CustomYieldInstruction',
    'Debug',
    'DetailInstanceTransform',
    'DetailPrototype',
    'Display',
    'DisplayInfo',
    'DistanceJoint2D',
    'DrivenRectTransformTracker',
    'DynamicGI',
    'EdgeCollider2D',
    'Effector2D',
    'Event',
    'ExitGUIException',
    'ExposedPropertyResolver',
    'ExposedReference',
    'ExpressionEvaluator',
    'FixedJoint',
    'FixedJoint2D',
    'Flare',
    'FlareLayer',
    'Font',
    'FrameDebugger',
    'FrameTiming',
    'FrameTimingManager',
    'FrictionJoint2D',
    'FrustumPlanes',
    'GameObject',
    'GeometryUtility',
    'Gizmos',
    'GL',
    'Gradient',
    'GradientAlphaKey',
    'GradientColorKey',
    'Graphics',
    'GraphicsBuffer',
    'GraphicsBufferHandle',
    'Grid',
    'GridBrushBase',
    'GridLayout',
    'GUI',
    'GUIContent',
    'GUIElement',
    'GUILayout',
    'GUILayoutOption',
    'GUILayoutUtility',
    'GUISettings',
    'GUISkin',
    'GUIStyle',
    'GUIStyleState',
    'GUIUtility',
    'Gyroscope',
    'Handheld',
    'Hash128',
    'HashUnsafeUtilities',
    'HashUtilities',
    'HDROutputSettings',
    'HingeJoint',
    'HingeJoint2D',
    'HostData',
    'HumanBone',
    'HumanDescription',
    'HumanLimit',
    'HumanPose',
    'HumanPoseHandler',
    'HumanTrait',
    'ImageConversion',
    'Input',
    'IntegratedSubsystem',
    'IntegratedSubsystemDescriptor',
    'JNINativeMethod',
    'Joint',
    'Joint2D',
    'JointAngleLimits2D',
    'JointDrive',
    'JointLimits',
    'JointMotor',
    'JointMotor2D',
    'JointSpring',
    'JointSuspension2D',
    'JointTranslationLimits2D',
    'JsonUtility',
    'Keyframe',
    'LayerMask',
    'LazyLoadReference',
    'LensFlare',
    'Light',
    'LightBakingOutput',
    'LightingSettings',
    'LightmapData',
    'LightmapSettings',
    'LightProbeGroup',
    'LightProbeProxyVolume',
    'LightProbes',
    'LightProbesQuery',
    'LineRenderer',
    'LineUtility',
    'LocalizationAsset',
    'LocationInfo',
    'LocationService',
    'LOD',
    'LODGroup',
    'Logger',
    'MasterServer',
    'MatchTargetWeightMask',
    'Material',
    'MaterialPropertyBlock',
    'Mathf',
    'Matrix4x4',
    'Mesh',
    'MeshCollider',
    'MeshFilter',
    'MeshRenderer',
    'Microphone',
    'ModifiableContactPair',
    'ModifiableMassProperties',
    'MonoBehaviour',
    'Motion',
    'MovieTexture',
    'Network',
    'NetworkMessageInfo',
    'NetworkPlayer',
    'NetworkView',
    'NetworkViewID',
    'Object',
    'OcclusionArea',
    'OcclusionPortal',
    'OverlapBoxCommand',
    'OverlapCapsuleCommand',
    'OverlapSphereCommand',
    'ParticleCollisionEvent',
    'ParticlePhysicsExtensions',
    'ParticleSystem',
    'ParticleSystemForceField',
    'ParticleSystemRenderer',
    'PatchExtents',
    'PenData',
    'PhysicMaterial',
    'Physics',
    'Physics2D',
    'PhysicsJobOptions2D',
    'PhysicsMaterial2D',
    'PhysicsScene',
    'PhysicsScene2D',
    'PhysicsSceneExtensions',
    'PhysicsSceneExtensions2D',
    'PhysicsShape2D',
    'PhysicsShapeGroup2D',
    'PhysicsUpdateBehaviour2D',
    'Ping',
    'Plane',
    'PlatformEffector2D',
    'PlayerPrefs',
    'PlayerPrefsException',
    'PointEffector2D',
    'PolygonCollider2D',
    'Pose',
    'ProceduralMaterial',
    'ProceduralPropertyDescription',
    'ProceduralTexture',
    'Projector',
    'PropertyName',
    'QualitySettings',
    'Quaternion',
    'QueryParameters',
    'Random',
    'RangeInt',
    'Ray',
    'Ray2D',
    'RaycastCommand',
    'RaycastHit',
    'RaycastHit2D',
    'Rect',
    'RectInt',
    'RectOffset',
    'RectTransform',
    'RectTransformUtility',
    'ReflectionProbe',
    'RefreshRate',
    'RelativeJoint2D',
    'RemoteSettings',
    'RenderBuffer',
    'Renderer',
    'RendererExtensions',
    'RenderParams',
    'RenderSettings',
    'RenderTargetSetup',
    'RenderTexture',
    'RenderTextureDescriptor',
    'Resolution',
    'ResourceRequest',
    'Resources',
    'ResourcesAPI',
    'Rigidbody',
    'Rigidbody2D',
    'RuntimeAnimatorController',
    'ScalableBufferManager',
    'Screen',
    'ScreenCapture',
    'ScriptableObject',
    'SecondarySpriteTexture',
    'Security',
    'Shader',
    'ShaderVariantCollection',
    'SkeletonBone',
    'SkinnedMeshRenderer',
    'Skybox',
    'SleepTimeout',
    'SliderJoint2D',
    'Snapping',
    'Social',
    'SoftJointLimit',
    'SoftJointLimitSpring',
    'SortingLayer',
    'SparseTexture',
    'SpherecastCommand',
    'SphereCollider',
    'SplatPrototype',
    'SpringJoint',
    'SpringJoint2D',
    'Sprite',
    'SpriteMask',
    'SpriteRenderer',
    'StateMachineBehaviour',
    'StaticBatchingUtility',
    'StreamingController',
    'Subsystem',
    'SubsystemDescriptor',
    'SubsystemManager',
    'SurfaceEffector2D',
    'SystemInfo',
    'TargetJoint2D',
    'Terrain',
    'TerrainCallbacks',
    'TerrainCollider',
    'TerrainData',
    'TerrainExtensions',
    'TerrainLayer',
    'TextAsset',
    'TextGenerationSettings',
    'TextGenerator',
    'TextMesh',
    'Texture',
    'Texture2D',
    'Texture2DArray',
    'Texture3D',
    'TextureMipmapLimitGroups',
    'TextureMipmapLimitSettings',
    'Time',
    'Touch',
    'TouchScreenKeyboard',
    'TrailRenderer',
    'Transform',
    'Tree',
    'TreeInstance',
    'TreePrototype',
    'UICharInfo',
    'UILineInfo',
    'UIVertex',
    'Vector2',
    'Vector2Int',
    'Vector3',
    'Vector3Int',
    'Vector4',
    'WaitForEndOfFrame',
    'WaitForFixedUpdate',
    'WaitForSeconds',
    'WaitForSecondsRealtime',
    'WaitUntil',
    'WaitWhile',
    'WebCamDevice',
    'WebCamTexture',
    'WebGLInput',
    'WheelCollider',
    'WheelFrictionCurve',
    'WheelHit',
    'WheelJoint2D',
    'WindZone',
    'WWW',
    'WWWForm',
    'YieldInstruction',
)


ASSET_CLASS_NAME_MAPPING = {
    UnityAssetClass.AccelerationEvent: 'Acceleration Event',
    UnityAssetClass.AnchoredJoint2D: 'Anchored Joint 2D',
    UnityAssetClass.AndroidInput: 'Android Input',
    UnityAssetClass.AndroidJavaClass: 'Android Java Class',
    UnityAssetClass.AndroidJavaObject: 'Android Java Object',
    UnityAssetClass.AndroidJavaProxy: 'Android Java Proxy',
    UnityAssetClass.AndroidJNI: 'Android JNI',
    UnityAssetClass.AndroidJNIHelper: 'Android JNI Helper',
    UnityAssetClass.Animation: 'Animation',
    UnityAssetClass.AnimationClip: 'Animation Clip',
    UnityAssetClass.AnimationClipPair: 'Animation Clip Pair',
    UnityAssetClass.AnimationCurve: 'Animation Curve',
    UnityAssetClass.AnimationEvent: 'Animation Event',
    UnityAssetClass.AnimationInfo: 'Animation Info',
    UnityAssetClass.AnimationState: 'Animation State',
    UnityAssetClass.Animator: 'Animator',
    UnityAssetClass.AnimatorClipInfo: 'Animator Clip Info',
    UnityAssetClass.AnimatorControllerParameter: 'Animator Controller Parameter',
    UnityAssetClass.AnimatorOverrideController: 'Animator Override Controller',
    UnityAssetClass.AnimatorStateInfo: 'Animator State Info',
    UnityAssetClass.AnimatorTransitionInfo: 'Animator Transition Info',
    UnityAssetClass.AnimatorUtility: 'Animator Utility',
    UnityAssetClass.Application: 'Application',
    UnityAssetClass.ApplicationMemoryUsageChange: 'Application Memory Usage Change',
    UnityAssetClass.AreaEffector2D: 'Area Effector 2D',
    UnityAssetClass.ArticulationBody: 'Articulation Body',
    UnityAssetClass.ArticulationDrive: 'Articulation Drive',
    UnityAssetClass.ArticulationJacobian: 'Articulation Jacobian',
    UnityAssetClass.ArticulationReducedSpace: 'Articulation Reduced Space',
    UnityAssetClass.AssetBundle: 'Asset Bundle',
    UnityAssetClass.AssetBundleCreateRequest: 'Asset Bundle Create Request',
    UnityAssetClass.AssetBundleManifest: 'AssetBundleManifest',
    UnityAssetClass.AssetBundleRecompressOperation: 'AssetBundleRecompressOperation',
    UnityAssetClass.AssetBundleRequest: 'AssetBundleRequest',
    UnityAssetClass.AssetBundleUnloadOperation: 'AssetBundleUnloadOperation',
    UnityAssetClass.AsyncOperation: 'AsyncOperation',
    UnityAssetClass.AudioChorusFilter: 'AudioChorusFilter',
    UnityAssetClass.AudioClip: 'AudioClip',
    UnityAssetClass.AudioConfiguration: 'AudioConfiguration',
    UnityAssetClass.AudioDistortionFilter: 'AudioDistortionFilter',
    UnityAssetClass.AudioEchoFilter: 'AudioEchoFilter',
    UnityAssetClass.AudioHighPassFilter: 'AudioHighPassFilter',
    UnityAssetClass.AudioListener: 'AudioListener',
    UnityAssetClass.AudioLowPassFilter: 'AudioLowPassFilter',
    UnityAssetClass.AudioRenderer: 'AudioRenderer',
    UnityAssetClass.AudioReverbFilter: 'AudioReverbFilter',
    UnityAssetClass.AudioReverbZone: 'AudioReverbZone',
    UnityAssetClass.AudioSettings: 'AudioSettings',
    UnityAssetClass.AudioSource: 'AudioSource',
    UnityAssetClass.Avatar: 'Avatar',
    UnityAssetClass.AvatarBuilder: 'AvatarBuilder',
    UnityAssetClass.AvatarMask: 'AvatarMask',
    UnityAssetClass.Behaviour: 'Behaviour',
    UnityAssetClass.BillboardAsset: 'BillboardAsset',
    UnityAssetClass.BillboardRenderer: 'BillboardRenderer',
    UnityAssetClass.BitStream: 'BitStream',
    UnityAssetClass.BlendShapeBufferRange: 'BlendShapeBufferRange',
    UnityAssetClass.BoneWeight: 'BoneWeight',
    UnityAssetClass.BoneWeight1: 'BoneWeight1',
    UnityAssetClass.BoundingSphere: 'BoundingSphere',
    UnityAssetClass.Bounds: 'Bounds',
    UnityAssetClass.BoundsInt: 'BoundsInt',
    UnityAssetClass.BoxcastCommand: 'BoxcastCommand',
    UnityAssetClass.BoxCollider: 'BoxCollider',
    UnityAssetClass.BoxCollider2D: 'BoxCollider2D',
    UnityAssetClass.BuildCompression: 'BuildCompression',
    UnityAssetClass.BuoyancyEffector2D: 'BuoyancyEffector2D',
    UnityAssetClass.Cache: 'Cache',
    UnityAssetClass.CachedAssetBundle: 'CachedAssetBundle',
    UnityAssetClass.Caching: 'Caching',
    UnityAssetClass.Camera: 'Camera',
    UnityAssetClass.Canvas: 'Canvas',
    UnityAssetClass.CanvasGroup: 'CanvasGroup',
    UnityAssetClass.CanvasRenderer: 'CanvasRenderer',
    UnityAssetClass.CapsulecastCommand: 'CapsulecastCommand',
    UnityAssetClass.CapsuleCollider: 'CapsuleCollider',
    UnityAssetClass.CapsuleCollider2D: 'CapsuleCollider2D',
    UnityAssetClass.CharacterController: 'CharacterController',
    UnityAssetClass.CharacterInfo: 'CharacterInfo',
    UnityAssetClass.CharacterJoint: 'CharacterJoint',
    UnityAssetClass.CircleCollider2D: 'CircleCollider2D',
    UnityAssetClass.ClosestPointCommand: 'ClosestPointCommand',
    UnityAssetClass.Cloth: 'Cloth',
    UnityAssetClass.ClothSkinningCoefficient: 'ClothSkinningCoefficient',
    UnityAssetClass.ClothSphereColliderPair: 'ClothSphereColliderPair',
    UnityAssetClass.ClusterInput: 'ClusterInput',
    UnityAssetClass.ClusterNetwork: 'ClusterNetwork',
    UnityAssetClass.Collider: 'Collider',
    UnityAssetClass.Collider2D: 'Collider2D',
    UnityAssetClass.ColliderDistance2D: 'ColliderDistance2D',
    UnityAssetClass.ColliderHit: 'ColliderHit',
    UnityAssetClass.Collision: 'Collision',
    UnityAssetClass.Collision2D: 'Collision2D',
    UnityAssetClass.Color: 'Color',
    UnityAssetClass.Color32: 'Color32',
    UnityAssetClass.ColorGamutUtility: 'ColorGamutUtility',
    UnityAssetClass.ColorUtility: 'ColorUtility',
    UnityAssetClass.CombineInstance: 'CombineInstance',
    UnityAssetClass.Compass: 'Compass',
    UnityAssetClass.Component: 'Component',
    UnityAssetClass.CompositeCollider2D: 'CompositeCollider2D',
    UnityAssetClass.ComputeBuffer: 'ComputeBuffer',
    UnityAssetClass.ComputeShader: 'ComputeShader',
    UnityAssetClass.ConfigurableJoint: 'ConfigurableJoint',
    UnityAssetClass.ConstantForce: 'ConstantForce',
    UnityAssetClass.ConstantForce2D: 'ConstantForce2D',
    UnityAssetClass.ContactFilter2D: 'ContactFilter2D',
    UnityAssetClass.ContactPair: 'ContactPair',
    UnityAssetClass.ContactPairHeader: 'ContactPairHeader',
    UnityAssetClass.ContactPairPoint: 'ContactPairPoint',
    UnityAssetClass.ContactPoint: 'ContactPoint',
    UnityAssetClass.ContactPoint2D: 'ContactPoint2D',
    UnityAssetClass.ControllerColliderHit: 'ControllerColliderHit',
    UnityAssetClass.Coroutine: 'Coroutine',
    UnityAssetClass.CrashReport: 'CrashReport',
    UnityAssetClass.Cubemap: 'Cubemap',
    UnityAssetClass.CubemapArray: 'CubemapArray',
    UnityAssetClass.CullingGroup: 'CullingGroup',
    UnityAssetClass.CullingGroupEvent: 'CullingGroupEvent',
    UnityAssetClass.Cursor: 'Cursor',
    UnityAssetClass.CustomCollider2D: 'CustomCollider2D',
    UnityAssetClass.CustomRenderTexture: 'CustomRenderTexture',
    UnityAssetClass.CustomRenderTextureManager: 'CustomRenderTextureManager',
    UnityAssetClass.CustomRenderTextureUpdateZone: 'CustomRenderTextureUpdateZone',
    UnityAssetClass.CustomYieldInstruction: 'CustomYieldInstruction',
    UnityAssetClass.Debug: 'Debug',
    UnityAssetClass.DetailInstanceTransform: 'DetailInstanceTransform',
    UnityAssetClass.DetailPrototype: 'DetailPrototype',
    UnityAssetClass.Display: 'Display',
    UnityAssetClass.DisplayInfo: 'DisplayInfo',
    UnityAssetClass.DistanceJoint2D: 'DistanceJoint2D',
    UnityAssetClass.DrivenRectTransformTracker: 'DrivenRectTransformTracker',
    UnityAssetClass.DynamicGI: 'DynamicGI',
    UnityAssetClass.EdgeCollider2D: 'EdgeCollider2D',
    UnityAssetClass.Effector2D: 'Effector2D',
    UnityAssetClass.Event: 'Event',
    UnityAssetClass.ExitGUIException: 'Exit GUI Exception',
    UnityAssetClass.ExposedPropertyResolver: 'Exposed Property Resolver',
    UnityAssetClass.ExposedReference: 'Exposed Reference',
    UnityAssetClass.ExpressionEvaluator: 'Expression Evaluator',
    UnityAssetClass.FixedJoint: 'Fixed Joint',
    UnityAssetClass.FixedJoint2D: 'Fixed Joint 2D',
    UnityAssetClass.Flare: 'Flare',
    UnityAssetClass.FlareLayer: 'Flare Layer',
    UnityAssetClass.Font: 'Font',
    UnityAssetClass.FrameDebugger: 'FrameDebugger',
    UnityAssetClass.FrameTiming: 'FrameTiming',
    UnityAssetClass.FrameTimingManager: 'FrameTimingManager',
    UnityAssetClass.FrictionJoint2D: 'FrictionJoint2D',
    UnityAssetClass.FrustumPlanes: 'FrustumPlanes',
    UnityAssetClass.GameObject: 'GameObject',
    UnityAssetClass.GeometryUtility: 'GeometryUtility',
    UnityAssetClass.Gizmos: 'Gizmos',
    UnityAssetClass.GL: 'GL',
    UnityAssetClass.Gradient: 'Gradient',
    UnityAssetClass.GradientAlphaKey: 'GradientAlphaKey',
    UnityAssetClass.GradientColorKey: 'GradientColorKey',
    UnityAssetClass.Graphics: 'Graphics',
    UnityAssetClass.GraphicsBuffer: 'GraphicsBuffer',
    UnityAssetClass.GraphicsBufferHandle: 'GraphicsBufferHandle',
    UnityAssetClass.Grid: 'Grid',
    UnityAssetClass.GridBrushBase: 'GridBrushBase',
    UnityAssetClass.GridLayout: 'GridLayout',
    UnityAssetClass.GUI: 'GUI',
    UnityAssetClass.GUIContent: 'GUIContent',
    UnityAssetClass.GUIElement: 'GUIElement',
    UnityAssetClass.GUILayout: 'GUILayout',
    UnityAssetClass.GUILayoutOption: 'GUILayoutOption',
    UnityAssetClass.GUILayoutUtility: 'GUILayoutUtility',
    UnityAssetClass.GUISettings: 'GUISettings',
    UnityAssetClass.GUISkin: 'GUISkin',
    UnityAssetClass.GUIStyle: 'GUIStyle',
    UnityAssetClass.GUIStyleState: 'GUIStyleState',
    UnityAssetClass.GUIUtility: 'GUIUtility',
    UnityAssetClass.Gyroscope: 'Gyroscope',
    UnityAssetClass.Handheld: 'Handheld',
    UnityAssetClass.Hash128: 'Hash128',
    UnityAssetClass.HashUnsafeUtilities: 'HashUnsafeUtilities',
    UnityAssetClass.HashUtilities: 'HashUtilities',
    UnityAssetClass.HDROutputSettings: 'HDROutputSettings',
    UnityAssetClass.HingeJoint: 'HingeJoint',
    UnityAssetClass.HingeJoint2D: 'HingeJoint2D',
    UnityAssetClass.HostData: 'HostData',
    UnityAssetClass.HumanBone: 'HumanBone',
    UnityAssetClass.HumanDescription: 'HumanDescription',
    UnityAssetClass.HumanLimit: 'HumanLimit',
    UnityAssetClass.HumanPose: 'HumanPose',
    UnityAssetClass.HumanPoseHandler: 'HumanPoseHandler',
    UnityAssetClass.HumanTrait: 'HumanTrait',
    UnityAssetClass.ImageConversion: 'ImageConversion',
    UnityAssetClass.Input: 'Input',
    UnityAssetClass.IntegratedSubsystem: 'IntegratedSubsystem',
    UnityAssetClass.IntegratedSubsystemDescriptor: 'IntegratedSubsystemDescriptor',
    UnityAssetClass.JNINativeMethod: 'JNINativeMethod',
    UnityAssetClass.Joint: 'Joint',
    UnityAssetClass.Joint2D: 'Joint2D',
    UnityAssetClass.JointAngleLimits2D: 'JointAngleLimits2D',
    UnityAssetClass.JointDrive: 'JointDrive',
    UnityAssetClass.JointLimits: 'JointLimits',
    UnityAssetClass.JointMotor: 'JointMotor',
    UnityAssetClass.JointMotor2D: 'JointMotor2D',
    UnityAssetClass.JointSpring: 'JointSpring',
    UnityAssetClass.JointSuspension2D: 'JointSuspension2D',
    UnityAssetClass.JointTranslationLimits2D: 'JointTranslationLimits2D',
    UnityAssetClass.JsonUtility: 'JsonUtility',
    UnityAssetClass.Keyframe: 'Keyframe',
    UnityAssetClass.LayerMask: 'LayerMask',
    UnityAssetClass.LazyLoadReference: 'Lazy Load Reference',
    UnityAssetClass.LensFlare: 'Lens Flare',
    UnityAssetClass.Light: 'Light',
    UnityAssetClass.LightBakingOutput: 'LightBakingOutput',
    UnityAssetClass.LightingSettings: 'LightingSettings',
    UnityAssetClass.LightmapData: 'LightmapData',
    UnityAssetClass.LightmapSettings: 'LightmapSettings',
    UnityAssetClass.LightProbeGroup: 'LightProbeGroup',
    UnityAssetClass.LightProbeProxyVolume: 'LightProbeProxyVolume',
    UnityAssetClass.LightProbes: 'LightProbes',
    UnityAssetClass.LightProbesQuery: 'LightProbesQuery',
    UnityAssetClass.LineRenderer: 'LineRenderer',
    UnityAssetClass.LineUtility: 'LineUtility',
    UnityAssetClass.LocalizationAsset: 'LocalizationAsset',
    UnityAssetClass.LocationInfo: 'LocationInfo',
    UnityAssetClass.LocationService: 'LocationService',
    UnityAssetClass.LOD: 'LOD',
    UnityAssetClass.LODGroup: 'LODGroup',
    UnityAssetClass.Logger: 'Logger',
    UnityAssetClass.MasterServer: 'MasterServer',
    UnityAssetClass.MatchTargetWeightMask: 'MatchTargetWeightMask',
    UnityAssetClass.Material: 'Material',
    UnityAssetClass.MaterialPropertyBlock: 'MaterialPropertyBlock',
    UnityAssetClass.Mathf: 'Mathf',
    UnityAssetClass.Matrix4x4: 'Matrix4x4',
    UnityAssetClass.Mesh: 'Mesh',
    UnityAssetClass.MeshCollider: 'MeshCollider',
    UnityAssetClass.MeshFilter: 'MeshFilter',
    UnityAssetClass.MeshRenderer: 'MeshRenderer',
    UnityAssetClass.Microphone: 'Microphone',
    UnityAssetClass.ModifiableContactPair: 'ModifiableContactPair',
    UnityAssetClass.ModifiableMassProperties: 'ModifiableMassProperties',
    UnityAssetClass.MonoBehaviour: 'MonoBehaviour',
    UnityAssetClass.Motion: 'Motion',
    UnityAssetClass.MovieTexture: 'MovieTexture',
    UnityAssetClass.Network: 'Network',
    UnityAssetClass.NetworkMessageInfo: 'NetworkMessageInfo',
    UnityAssetClass.NetworkPlayer: 'NetworkPlayer',
    UnityAssetClass.NetworkView: 'NetworkView',
    UnityAssetClass.NetworkViewID: 'NetworkViewID',
    UnityAssetClass.Object: 'Object',
    UnityAssetClass.OcclusionArea: 'OcclusionArea',
    UnityAssetClass.OcclusionPortal: 'OcclusionPortal',
    UnityAssetClass.OverlapBoxCommand: 'OverlapBoxCommand',
    UnityAssetClass.OverlapCapsuleCommand: 'OverlapCapsuleCommand',
    UnityAssetClass.OverlapSphereCommand: 'OverlapSphereCommand',
    UnityAssetClass.ParticleCollisionEvent: 'ParticleCollisionEvent',
    UnityAssetClass.ParticlePhysicsExtensions: 'ParticlePhysicsExtensions',
    UnityAssetClass.ParticleSystem: 'ParticleSystem',
    UnityAssetClass.ParticleSystemForceField: 'ParticleSystemForceField',
    UnityAssetClass.ParticleSystemRenderer: 'ParticleSystemRenderer',
    UnityAssetClass.PatchExtents: 'PatchExtents',
    UnityAssetClass.PenData: 'PenData',
    UnityAssetClass.PhysicMaterial: 'PhysicMaterial',
    UnityAssetClass.Physics: 'Physics',
    UnityAssetClass.Physics2D: 'Physics2D',
    UnityAssetClass.PhysicsJobOptions2D: 'PhysicsJobOptions2D',
    UnityAssetClass.PhysicsMaterial2D: 'PhysicsMaterial2D',
    UnityAssetClass.PhysicsScene: 'PhysicsScene',
    UnityAssetClass.PhysicsScene2D: 'PhysicsScene2D',
    UnityAssetClass.PhysicsSceneExtensions: 'PhysicsSceneExtensions',
    UnityAssetClass.PhysicsSceneExtensions2D: 'PhysicsSceneExtensions2D',
    UnityAssetClass.PhysicsShape2D: 'PhysicsShape2D',
    UnityAssetClass.PhysicsShapeGroup2D: 'PhysicsShapeGroup2D',
    UnityAssetClass.PhysicsUpdateBehaviour2D: 'PhysicsUpdateBehaviour2D',
    UnityAssetClass.Ping: 'Ping',
    UnityAssetClass.Plane: 'Plane',
    UnityAssetClass.PlatformEffector2D: 'PlatformEffector2D',
    UnityAssetClass.PlayerPrefs: 'PlayerPrefs',
    UnityAssetClass.PlayerPrefsException: 'PlayerPrefsException',
    UnityAssetClass.PointEffector2D: 'PointEffector2D',
    UnityAssetClass.PolygonCollider2D: 'PolygonCollider2D',
    UnityAssetClass.Pose: 'Pose',
    UnityAssetClass.ProceduralMaterial: 'ProceduralMaterial',
    UnityAssetClass.ProceduralPropertyDescription: 'ProceduralPropertyDescription',
    UnityAssetClass.ProceduralTexture: 'ProceduralTexture',
    UnityAssetClass.Projector: 'Projector',
    UnityAssetClass.PropertyName: 'PropertyName',
    UnityAssetClass.QualitySettings: 'QualitySettings',
    UnityAssetClass.Quaternion: 'Quaternion',
    UnityAssetClass.QueryParameters: 'QueryParameters',
    UnityAssetClass.Random: 'Random',
    UnityAssetClass.RangeInt: 'RangeInt',
    UnityAssetClass.Ray: 'Ray',
    UnityAssetClass.Ray2D: 'Ray2D',
    UnityAssetClass.RaycastCommand: 'RaycastCommand',
    UnityAssetClass.RaycastHit: 'RaycastHit',
    UnityAssetClass.RaycastHit2D: 'RaycastHit2D',
    UnityAssetClass.Rect: 'Rect',
    UnityAssetClass.RectInt: 'RectInt',
    UnityAssetClass.RectOffset: 'RectOffset',
    UnityAssetClass.RectTransform: 'RectTransform',
    UnityAssetClass.RectTransformUtility: 'RectTransformUtility',
    UnityAssetClass.ReflectionProbe: 'ReflectionProbe',
    UnityAssetClass.RefreshRate: 'RefreshRate',
    UnityAssetClass.RelativeJoint2D: 'RelativeJoint2D',
    UnityAssetClass.RemoteSettings: 'RemoteSettings',
    UnityAssetClass.RenderBuffer: 'RenderBuffer',
    UnityAssetClass.Renderer: 'Renderer',
    UnityAssetClass.RendererExtensions: 'RendererExtensions',
    UnityAssetClass.RenderParams: 'RenderParams',
    UnityAssetClass.RenderSettings: 'RenderSettings',
    UnityAssetClass.RenderTargetSetup: 'RenderTargetSetup',
    UnityAssetClass.RenderTexture: 'RenderTexture',
    UnityAssetClass.RenderTextureDescriptor: 'RenderTextureDescriptor',
    UnityAssetClass.Resolution: 'Resolution',
    UnityAssetClass.ResourceRequest: 'ResourceRequest',
    UnityAssetClass.Resources: 'Resources',
    UnityAssetClass.ResourcesAPI: 'ResourcesAPI',
    UnityAssetClass.Rigidbody: 'Rigidbody',
    UnityAssetClass.Rigidbody2D: 'Rigidbody2D',
    UnityAssetClass.RuntimeAnimatorController: 'RuntimeAnimatorController',
    UnityAssetClass.ScalableBufferManager: 'ScalableBufferManager',
    UnityAssetClass.Screen: 'Screen',
    UnityAssetClass.ScreenCapture: 'ScreenCapture',
    UnityAssetClass.ScriptableObject: 'ScriptableObject',
    UnityAssetClass.SecondarySpriteTexture: 'SecondarySpriteTexture',
    UnityAssetClass.Security: 'Security',
    UnityAssetClass.Shader: 'Shader',
    UnityAssetClass.ShaderVariantCollection: 'ShaderVariantCollection',
    UnityAssetClass.SkeletonBone: 'SkeletonBone',
    UnityAssetClass.SkinnedMeshRenderer: 'SkinnedMeshRenderer',
    UnityAssetClass.Skybox: 'Skybox',
    UnityAssetClass.SleepTimeout: 'SleepTimeout',
    UnityAssetClass.SliderJoint2D: 'SliderJoint2D',
    UnityAssetClass.Snapping: 'Snapping',
    UnityAssetClass.Social: 'Social',
    UnityAssetClass.SoftJointLimit: 'SoftJointLimit',
    UnityAssetClass.SoftJointLimitSpring: 'SoftJointLimitSpring',
    UnityAssetClass.SortingLayer: 'SortingLayer',
    UnityAssetClass.SparseTexture: 'SparseTexture',
    UnityAssetClass.SpherecastCommand: 'SpherecastCommand',
    UnityAssetClass.SphereCollider: 'SphereCollider',
    UnityAssetClass.SplatPrototype: 'SplatPrototype',
    UnityAssetClass.SpringJoint: 'SpringJoint',
    UnityAssetClass.SpringJoint2D: 'SpringJoint2D',
    UnityAssetClass.Sprite: 'Sprite',
    UnityAssetClass.SpriteMask: 'SpriteMask',
    UnityAssetClass.SpriteRenderer: 'SpriteRenderer',
    UnityAssetClass.StateMachineBehaviour: 'StateMachineBehaviour',
    UnityAssetClass.StaticBatchingUtility: 'StaticBatchingUtility',
    UnityAssetClass.StreamingController: 'StreamingController',
    UnityAssetClass.Subsystem: 'Subsystem',
    UnityAssetClass.SubsystemDescriptor: 'SubsystemDescriptor',
    UnityAssetClass.SubsystemManager: 'SubsystemManager',
    UnityAssetClass.SurfaceEffector2D: 'SurfaceEffector2D',
    UnityAssetClass.SystemInfo: 'SystemInfo',
    UnityAssetClass.TargetJoint2D: 'TargetJoint2D',
    UnityAssetClass.Terrain: 'Terrain',
    UnityAssetClass.TerrainCallbacks: 'TerrainCallbacks',
    UnityAssetClass.TerrainCollider: 'TerrainCollider',
    UnityAssetClass.TerrainData: 'TerrainData',
    UnityAssetClass.TerrainExtensions: 'TerrainExtensions',
    UnityAssetClass.TerrainLayer: 'TerrainLayer',
    UnityAssetClass.TextAsset: 'TextAsset',
    UnityAssetClass.TextGenerationSettings: 'TextGenerationSettings',
    UnityAssetClass.TextGenerator: 'TextGenerator',
    UnityAssetClass.TextMesh: 'TextMesh',
    UnityAssetClass.Texture: 'Texture',
    UnityAssetClass.Texture2D: 'Texture2D',
    UnityAssetClass.Texture2DArray: 'Texture2DArray',
    UnityAssetClass.Texture3D: 'Texture3D',
    UnityAssetClass.TextureMipmapLimitGroups: 'TextureMipmapLimitGroups',
    UnityAssetClass.TextureMipmapLimitSettings: 'TextureMipmapLimitSettings',
    UnityAssetClass.Time: 'Time',
    UnityAssetClass.Touch: 'Touch',
    UnityAssetClass.TouchScreenKeyboard: 'TouchScreenKeyboard',
    UnityAssetClass.TrailRenderer: 'TrailRenderer',
    UnityAssetClass.Transform: 'Transform',
    UnityAssetClass.Tree: 'Tree',
    UnityAssetClass.TreeInstance: 'TreeInstance',
    UnityAssetClass.TreePrototype: 'TreePrototype',
    UnityAssetClass.UICharInfo: 'UICharInfo',
    UnityAssetClass.UILineInfo: 'UILineInfo',
    UnityAssetClass.UIVertex: 'UIVertex',
    UnityAssetClass.Vector2: 'Vector2',
    UnityAssetClass.Vector2Int: 'Vector2Int',
    UnityAssetClass.Vector3: 'Vector3',
    UnityAssetClass.Vector3Int: 'Vector3Int',
    UnityAssetClass.Vector4: 'Vector4',
    UnityAssetClass.WaitForEndOfFrame: 'WaitForEndOfFrame',
    UnityAssetClass.WaitForFixedUpdate: 'WaitForFixedUpdate',
    UnityAssetClass.WaitForSeconds: 'WaitForSeconds',
    UnityAssetClass.WaitForSecondsRealtime: 'WaitForSecondsRealtime',
    UnityAssetClass.WaitUntil: 'WaitUntil',
    UnityAssetClass.WaitWhile: 'WaitWhile',
    UnityAssetClass.WebCamDevice: 'WebCamDevice',
    UnityAssetClass.WebCamTexture: 'WebCamTexture',
    UnityAssetClass.WebGLInput: 'WebGLInput',
    UnityAssetClass.WheelCollider: 'WheelCollider',
    UnityAssetClass.WheelFrictionCurve: 'WheelFrictionCurve',
    UnityAssetClass.WheelHit: 'WheelHit',
    UnityAssetClass.WheelJoint2D: 'WheelJoint2D',
    UnityAssetClass.WindZone: 'WindZone',
    UnityAssetClass.WWW: 'WWW',
    UnityAssetClass.WWWForm: 'WWWForm',
    UnityAssetClass.YieldInstruction: 'YieldInstruction',
}
